#include <msp/debug/demangle.h>
#include <msp/strings/format.h>
#include "maputils.h"

using namespace std;

namespace Msp {

string key_error::make_what(const type_info &type, const string &value)
{
	return format("%s(%s)", Debug::demangle(type.name()), value);
}

} // namespace Msp
